Generate shorts script
curl --request POST \
--url https://www.citedy.com/api/agent/shorts/script \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"topic": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duration": "short",
"style": "hook",
"language": "en"
}
'import requests
url = "https://www.citedy.com/api/agent/shorts/script"
payload = {
"topic": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duration": "short",
"style": "hook",
"language": "en"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
topic: '<string>',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
article_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
duration: 'short',
style: 'hook',
language: 'en'
})
};
fetch('https://www.citedy.com/api/agent/shorts/script', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"script": "<string>",
"title": "<string>",
"hashtags": [
"<string>"
],
"word_count": 2,
"estimated_duration_sec": 2,
"parts": [
"<string>"
],
"credits_charged": 1
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"credits_required": 123,
"topup": {
"recommended_package_credits": 123,
"recommended_package_price_usd": 123,
"topup_url": "<string>"
},
"message": "<string>",
"breakdown": {}
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Video (Shorts)
Generate shorts script
POST
/
api
/
agent
/
shorts
/
script
Generate shorts script
Authorizations
Bearer citedy_agent_* key
Body
application/json
Required string length:
3 - 500Optional article ID. When provided, shorts_title, shorts_hashtags, and shorts_script are saved to article metadata.
Available options:
short, long Exact target runtime in seconds. When present, this controls the script word budget.
Available options:
5, 10, 15 Available options:
hook, educational, cta Required string length:
2 - 5Response
Script generated
Voiceover script text (also used as post description)
Catchy video title (max 100 chars), used as YouTube/TikTok title
2-3 relevant hashtags with # prefix
Maximum array length:
5Required range:
x >= 1Required range:
x >= 1Minimum array length:
1Required range:
x >= 0⌘I
